import 'package:calendar_view/calendar_controller/controller.dart';
import 'package:calendar_view/calendar_view/calendar_left_panel.dart';
import 'package:calendar_view/calendar_view/calendar_main_panel.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class CalendarView extends StatefulWidget {
  const CalendarView({super.key});

  @override
  State<CalendarView> createState() => _CalendarViewState();
}

class _CalendarViewState extends State<CalendarView> {
  @override
  void initState() {
    super.initState();
    Get.put<CalendarController>(CalendarController());
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      // color: Color.fromARGB(90, 255, 235, 59),
      child: Row(
        children: const <Widget>[
          CalendarLeftPanel(),
          Expanded(child: CalendarMainPanel()),
        ],
      ),
    );
  }
}
